-- ABS-91848 / ABS-90165
CREATE TABLE INVOICELINETGCONTRACTPO
(
  INVOICELINE_ID       NUMBER NOT NULL,
  PURCHASEORDERNUMBER  VARCHAR2(30) NULL,
  POLINENUMBER         VARCHAR2(20) NULL,
  POORDERDATE          NUMBER(8) NULL,
  POMONTHENDDATE       NUMBER(8) NULL,
  POSKUNUMBER          VARCHAR2(48) NULL,
  POITEMNUMBER         VARCHAR2(48) NULL,
  SYSTEMUSER_ID        NUMBER NOT NULL,
  TIMESTAMP            DATE NOT NULL
);
ALTER TABLE INVOICELINETGCONTRACTPO
  ADD CONSTRAINT PK_INVOICELINETGCONTRACTPO PRIMARY KEY (INVOICELINE_ID);
ALTER TABLE INVOICELINETGCONTRACTPO
  ADD CONSTRAINT FK_INVOICELINETGCONTRACTPO FOREIGN KEY (INVOICELINE_ID)
  REFERENCES INVOICELINE (INVOICELINE_ID) ON DELETE CASCADE;